No symbol table. Press any key to continue

Bug #1633839 reported by Alex N. on 2016-10-16
228
This bug affects 50 people
Affects Status Importance Assigned to Milestone
grub2 (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

Ubuntu 16.10. shows "error: no symbol table. Press any key to continue..." after Kernel boot and before login screen. After pressing a key or waiting a few seconds, the boot process continues and login screen appears.

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: linux-image-4.8.0-22-generic 4.8.0-22.24
ProcVersionSignature: Ubuntu 4.8.0-22.24-generic 4.8.0
Uname: Linux 4.8.0-22-generic x86_64
ApportVersion: 2.20.3-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: xxxx 7722 F.... pulseaudio
CurrentDesktop: Unity
Date: Sun Oct 16 13:25:22 2016
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=9d3bac9d-90f6-4fb6-ba39-e08ea2c3aa19
InstallationDate: Installed on 2013-10-28 (1083 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: LENOVO 23255B2
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.8.0-22-generic root=UUID=3b21f524-fe80-4ab0-8b84-c03e44abcd8b ro elevator=deadline
RelatedPackageVersions:
 linux-restricted-modules-4.8.0-22-generic N/A
 linux-backports-modules-4.8.0-22-generic N/A
 linux-firmware 1.161
SourcePackage: linux
UpgradeStatus: Upgraded to yakkety on 2016-10-16 (0 days ago)
dmi.bios.date: 03/03/2016
dmi.bios.vendor: LENOVO
dmi.bios.version: G2ETA6WW (2.66 )
dmi.board.asset.tag: Not Available
dmi.board.name: 23255B2
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: CS0000023589
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrG2ETA6WW(2.66):bd03/03/2016:svnLENOVO:pn23255B2:pvrThinkPadX230:rvnLENOVO:rn23255B2:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 23255B2
dmi.product.version: ThinkPad X230
dmi.sys.vendor: LENOVO

Alex N. (a-nox) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Alex N. (a-nox) on 2016-10-16
description: updated
Alex N. (a-nox) on 2016-10-16
description: updated
Alex N. (a-nox) on 2016-10-17
description: updated
Michael (mike984) wrote :

I also upgraded in place.

Michka Popoff (michkapopoff) wrote :

I had the same problem. Updating from 16.04 to 16.10 in place.

I ran boot-repair, but the tool had not been updated during the migration (the update 16.10 removed the boot-repair ppa from the sources.list). Running the repair completely botched my grub.cfg files (update-grub was complaining about syntax errors). After a (painful) manual restart through the grub command line, I was able to boot.

The I did:
sudo add-apt-repository ppa:yannubuntu/boot-repair
sudo apt-get update
sudo apt-get upgrade

Using the new boot-repair (version 4ppa38, instead of the old 4ppa35), I ran the repair tool, setup grub again, rebooted, and the "error: no symbol table. Press any key to continue..." was gone.

People looking for a solution may update boot-repair to 4ppa38, run it, and see if it fixes it. Make sure to backup your data first, it worked for me but I can't guarantee that it will work for you.

I am attaching the boot-repair report done with 4ppa35, which may be of interest for people trying to debug this.

Alex N. (a-nox) wrote :

That made me think about grub, so i reinstalled grub as described here https://help.ubuntu.com/community/Grub2/Installing#Reinstalling_GRUB_2_from_a_Working_System

sudo grub-install /dev/sdX
sudo update-grub
sudo reboot

and voila, the error message is gone.

Download full text (4.7 KiB)

Thanks Michka
I had tried the boot-repair option, to no avail.
But this time I made sure I had the latest version (I do) by completely
removing boot-repair and reinstalling, including repository, and tried
'advanced' option. 'Successful' but didn't solve the problem.
Then I tried default version of boot-repair. Likewise, 'successful', but
didn't solve the problem.
I don't have a dual-boot system since I long ago removed Windows. But it is
a UEFI machine and I have a separate sda1 FAT 32 boot partition, then a
main sda2 ext4 partition, then a swap partition.
I'm wondering if I should remove the sda1 efi FAT 32 partition, which may
be causing the difficulty (even though in boot-repair 'advanced' option I
had ensured that grub would be 'additionally' be reinstalled in sda1)?
I'm a 'fiddler' rather than an expert so I'm reluctant to risk doing that
as I do have a working system right now, even though it is slightly
compromised at boot since the upgrade to 16.10.
What do you think?
By the way, Alex N's solution also did not work for me. Though I have not
tried simply using /dev/sda rather than sda1 or sda2.
Best
David

On 18 October 2016 at 21:11, Michka Popoff <email address hidden>
wrote:

> I had the same problem. Updating from 16.04 to 16.10 in place.
>
> I ran boot-repair, but the tool had not been updated during the
> migration (the update 16.10 removed the boot-repair ppa from the
> sources.list). Running the repair completely botched my grub.cfg files
> (update-grub was complaining about syntax errors). After a (painful)
> manual restart through the grub command line, I was able to boot.
>
> The I did:
> sudo add-apt-repository ppa:yannubuntu/boot-repair
> sudo apt-get update
> sudo apt-get upgrade
>
> Using the new boot-repair (version 4ppa38, instead of the old 4ppa35), I
> ran the repair tool, setup grub again, rebooted, and the "error: no
> symbol table. Press any key to continue..." was gone.
>
> People looking for a solution may update boot-repair to 4ppa38, run it,
> and see if it fixes it. Make sure to backup your data first, it worked
> for me but I can't guarantee that it will work for you.
>
> I am attaching the boot-repair report done with 4ppa35, which may be of
> interest for people trying to debug this.
>
> ** Attachment added: "boot-repair output"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/
> 1633839/+attachment/4763425/+files/Boot-info.txt
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1633839
>
> Title:
> No symbol table. Press any key to continue
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu 16.10. shows "error: no symbol table. Press any key to
> continue..." after Kernel boot and before login screen. After pressing
> a key or waiting a few seconds, the boot process continues and login
> screen appears.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.10
> Package: linux-image-4.8.0-22-generic 4.8.0-22.24
> ProcVersionSignature: Ubuntu 4.8.0-22.24-generic 4.8.0
> Uname: Linux 4.8.0-22-generic x86_64
> ApportVersion: 2.20.3-0ubuntu8
> Architecture: amd64
> Audio...

Read more...

David Oser (mirmos192) wrote :
Download full text (3.7 KiB)

Thanks Alex
I had tried 'boot-repair' to no avail, although success was reported.
But I tried your solution twice by using dev/sda1 (the current efi FAT32
boot partition) and /dev/sda2 ( the main ext4 partition). Neither solved
the problem although there were no error messages only 'successful' report
in bash/command line.
Ahem...Then I read the link you kindly supplied (!) and found I should just
have used dev/sda. But unfortunately this also did not work to solve my
problem, although it also reported 'success' in bash.
I'm beginning to wonder if I shouldn't remove the separate FAT32 boot
partition which was probably a legacy from when I first installed Ubuntu on
this UEFI machine which used to run Windows, as I suspect this might be
what's causing the problem.
I'm fully backed up, but reluctant to go through the palava of a complete
reinstall of Ubuntu if I fully borked the system by removing the separate
boot partition.
Ho hum... I think I'll live with the issue for the time being.
Best
David

On 18 October 2016 at 21:31, Alex N. <email address hidden> wrote:

> That made me think about grub, so i reinstalled grub as described here
> https://help.ubuntu.com/community/Grub2/Installing#
> Reinstalling_GRUB_2_from_a_Working_System
>
> sudo grub-install /dev/sdX
> sudo update-grub
> sudo reboot
>
> and voila, the error message is gone.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1633839
>
> Title:
> No symbol table. Press any key to continue
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu 16.10. shows "error: no symbol table. Press any key to
> continue..." after Kernel boot and before login screen. After pressing
> a key or waiting a few seconds, the boot process continues and login
> screen appears.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.10
> Package: linux-image-4.8.0-22-generic 4.8.0-22.24
> ProcVersionSignature: Ubuntu 4.8.0-22.24-generic 4.8.0
> Uname: Linux 4.8.0-22-generic x86_64
> ApportVersion: 2.20.3-0ubuntu8
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: xxxx 7722 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Sun Oct 16 13:25:22 2016
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=9d3bac9d-90f6-4fb6-ba39-e08ea2c3aa19
> InstallationDate: Installed on 2013-10-28 (1083 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> MachineType: LENOVO 23255B2
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.8.0-22-generic
> root=UUID=3b21f524-fe80-4ab0-8b84-c03e44abcd8b ro elevator=deadline
> RelatedPackageVersions:
> linux-restricted-modules-4.8.0-22-generic N/A
> linux-backports-modules-4.8.0-22-generic N/A
> linux-firmware 1.161
> SourcePackage: linux
> UpgradeStatus: Upgraded to yakkety on 2016-10-16 (0 days ago)
> dmi.bios.date: 03/03/2016
> dmi.bios.vendor: LENOVO
> dmi.bios.version: G2ETA6WW (2.66 )
> dmi.board.asset.tag: Not Available
> dmi.board.name: 23255B2
> dmi.board.ven...

Read more...

Alex N. (a-nox) wrote :

The message "no symbol table found." seems to be a grub error. Can someone confirm this and tell if grub package is affected?

David Oser (mirmos192) wrote :

I have tried 'boot-repair' in normal and advanced mode and have tried reinstalling grub via sudo grub-install /dev/sda1 (then sda2, and finally simply sda). All of these approaches have reported 'success' in bash/terminal etc - but none have actually solved my problem.
Actually I'm wondering where my 'working' grub is actually installed. I have a UEFI machine which originally came with Windows 8. On installing Ubuntu I did what was necessary to allow Ubuntu 14.04 to be installed successfully instead of Windows, and have 3 partitions: sda1 is allegedly my boot partition (Fat 32), sda2 my main partition and finally there is a sda3 - for Linux-Swap. I suppose it is possible I have two grubs installed, one in sda1 and the other in sda2. Is it possible that a delay in reaching the 'working' grub (say in sda2) is provoking the 'no symbol table found' error in Ubuntu 16.10?
I wonder what would happen if I deleted partition sda1, expanded sda2 into its space and then tried boot-repair via usb? Or maybe kept all 3 partitions but converted sda1 to ext4. However, I'm reluctant to risk these approaches for fear of not being able to recover my system.

Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.9 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.9-rc1/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Alex N. (a-nox) wrote :

As stated before, i think this affects the grub instead of linux package, can someone confirm?

Roy Gilby (roy-gilbys) wrote :

This Bug occurred immediately after doing a distro upgrade from 16.04 to 16.10.

David Oser (mirmos192) wrote :
Download full text (3.4 KiB)

As other replies Joseph. The only thing I didn't try was an upstream
kernel. But in the end I've just done a completely fresh install - so
someone else will need to try the upstream kernel approach.. But I'm
intrigued that two people found their solution via a new grub install,
while I didn't
David

On 19 Oct 2016 19:31, "Joseph Salisbury" <email address hidden>
wrote:

Did this issue start happening after an update/upgrade? Was there a
prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer
to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
v4.9 kernel[0].

If this bug is fixed in the mainline kernel, please add the following
tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag:
'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as
"Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.9-rc1/

** Changed in: linux (Ubuntu)
   Importance: Undecided => Medium

** Changed in: linux (Ubuntu)
       Status: Confirmed => Incomplete

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1633839

Title:
  No symbol table. Press any key to continue

Status in linux package in Ubuntu:
  Incomplete

Bug description:
  Ubuntu 16.10. shows "error: no symbol table. Press any key to
  continue..." after Kernel boot and before login screen. After pressing
  a key or waiting a few seconds, the boot process continues and login
  screen appears.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.10
  Package: linux-image-4.8.0-22-generic 4.8.0-22.24
  ProcVersionSignature: Ubuntu 4.8.0-22.24-generic 4.8.0
  Uname: Linux 4.8.0-22-generic x86_64
  ApportVersion: 2.20.3-0ubuntu8
  Architecture: amd64
  AudioDevicesInUse:
   USER PID ACCESS COMMAND
   /dev/snd/controlC0: xxxx 7722 F.... pulseaudio
  CurrentDesktop: Unity
  Date: Sun Oct 16 13:25:22 2016
  EcryptfsInUse: Yes
  HibernationDevice: RESUME=UUID=9d3bac9d-90f6-4fb6-ba39-e08ea2c3aa19
  InstallationDate: Installed on 2013-10-28 (1083 days ago)
  InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
(20131016.1)
  MachineType: LENOVO 23255B2
  ProcFB: 0 inteldrmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.8.0-22-generic
root=UUID=3b21f524-fe80-4ab0-8b84-c03e44abcd8b ro elevator=deadline
  RelatedPackageVersions:
   linux-restricted-modules-4.8.0-22-generic N/A
   linux-backports-modules-4.8.0-22-generic N/A
   linux-firmware 1.161
  SourcePackage: linux
  UpgradeStatus: Upgraded to yakkety on 2016-10-16 (0 days ago)
  dmi.bios.date: 03/03/2016
  dmi.bios.vendor: LENOVO
  dmi.bios.version: G2ETA6WW (2.66 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 23255B2
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Defined
  dmi.chassis.asset.tag: CS0000023589
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Not Available
  dmi.modalias: dmi:bvnLENOVO:bvrG2ETA6WW(2.66):bd03/03/2016:svnLENOVO:
pn23255B2:pvrThinkPadX230:r...

Read more...

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Rohan Dhruva (rohandhruva) wrote :

I'm facing the same issue on my laptop after an upgrade from 16.04 to 16.10. I tried:
* grub-install
* boot-repair

Neither worked. I also tried installing the mainline linux kernel (4.9-rc1), that didn't help either. As others have mentioned, this is probably something in grub, not necessarily the kernel.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in grub2 (Ubuntu):
status: New → Confirmed

For me the following commands worked:

sudo mount -t ext4 /dev/sda1 /mnt
sudo grub-install --root-directory=/mnt /dev/sda

Yu Lou (louyu1999) wrote :

I have a dual system of Ubuntu and Windows 7 and encountered the same problem after in place upgrade from 16.04 to 16.10. I tried boot-repair before but it didn't work. Just a moment ago I tried this command and it worked:

sudo grub-install /dev/sda

David Oser (mirmos192) wrote :

Thanks Yu Lou - in the end I did a fresh install. That was OK.
David

On 19 Nov 2016 02:00, "Yu Lou" <email address hidden> wrote:

> I have a dual system of Ubuntu and Windows 7 and encountered the same
> problem after in place upgrade from 16.04 to 16.10. I tried boot-repair
> before but it didn't work. Just a moment ago I tried this command and it
> worked:
>
> sudo grub-install /dev/sda
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1633839
>
> Title:
> No symbol table. Press any key to continue
>
> Status in grub2 package in Ubuntu:
> Confirmed
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu 16.10. shows "error: no symbol table. Press any key to
> continue..." after Kernel boot and before login screen. After pressing
> a key or waiting a few seconds, the boot process continues and login
> screen appears.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 16.10
> Package: linux-image-4.8.0-22-generic 4.8.0-22.24
> ProcVersionSignature: Ubuntu 4.8.0-22.24-generic 4.8.0
> Uname: Linux 4.8.0-22-generic x86_64
> ApportVersion: 2.20.3-0ubuntu8
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: xxxx 7722 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Sun Oct 16 13:25:22 2016
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=9d3bac9d-90f6-4fb6-ba39-e08ea2c3aa19
> InstallationDate: Installed on 2013-10-28 (1083 days ago)
> InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016.1)
> MachineType: LENOVO 23255B2
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.8.0-22-generic
> root=UUID=3b21f524-fe80-4ab0-8b84-c03e44abcd8b ro elevator=deadline
> RelatedPackageVersions:
> linux-restricted-modules-4.8.0-22-generic N/A
> linux-backports-modules-4.8.0-22-generic N/A
> linux-firmware 1.161
> SourcePackage: linux
> UpgradeStatus: Upgraded to yakkety on 2016-10-16 (0 days ago)
> dmi.bios.date: 03/03/2016
> dmi.bios.vendor: LENOVO
> dmi.bios.version: G2ETA6WW (2.66 )
> dmi.board.asset.tag: Not Available
> dmi.board.name: 23255B2
> dmi.board.vendor: LENOVO
> dmi.board.version: Not Defined
> dmi.chassis.asset.tag: CS0000023589
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Not Available
> dmi.modalias: dmi:bvnLENOVO:bvrG2ETA6WW(2.66):bd03/03/2016:svnLENOVO:
> pn23255B2:pvrThinkPadX230:rvnLENOVO:rn23255B2:
> rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
> dmi.product.name: 23255B2
> dmi.product.version: ThinkPad X230
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/
> 1633839/+subscriptions
>

Alex McDonald (w-7lex-k) wrote :

Single boot system, did

  sudo do-release-upgrade -d

Ended up with the error: no symbol table. Fixed by Yu Lou (louyu1999) suggestion

  sudo grub-install /dev/sda

Ernst Zlo (ernst-zlo) wrote :

I had a CLEAN INSTALL on a NEW formatted partition (with gparted) and ran into the same problem
Only special thing on my system is, that /home is on an extra partition.

(in the german Version instead of ""error: no symbol table. Press any key to continue..." on can see "FEHLER: KEINE SYMBOLTABELLE. DRÜCKEN SIE EINE TASTE... [adding the text that German speaking users find this on search engines]

Solution of Alex N. worked for me: (LÖSUNG:)

sudo grub-install /dev/sda
sudo update-grub
sudo reboot

no number after /dev/sda ! (KEINE ZAHL nach /dev/sda !)

My root partition is on /dev/sdb.
So changing the above command into

sudo grub-install /dev/sdb
sudo update-grub
sudo reboot

did the trick.

By the way, fresh install of Xubuntu 17.04 on reformatted partition. This bug stems from upgrading Xubuntu 16.04 to 16.10 and it apparently survived the formatting process.

DIONYSIS KAPATSORIS (dfk7677) wrote :

I am using Ubuntu 17.04, grub-efi with dual boot (Windows 10). Everything used to work when 16.04 was installed.

After the upgrade I also got the 'no symbol table error' and I was not being able to boot into Windows, with grub being unable to recognize the EFI (fat32) partition as a proper filesystem.

I fixed it by using the 'update-grub' command. But if I boot into Windows and restart, all the errors come back.

Anders Hall (a.hall) wrote :

#21 worked for me.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers